commit: 14b8eb66f889b99954648c22150bc4f6d78ced65
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 25 18:35:20 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 25 18:35:20 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14b8eb66
dev-python/pytest-forked: Bump to 1.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-forked/Manifest | 1 +
.../pytest-forked/pytest-forked-1.2.0.ebuild | 31 ++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-python/pytest-forked/Manifest
b/dev-python/pytest-forked/Manifest
index 8cf2a4b0791..05434d38073 100644
--- a/dev-python/pytest-forked/Manifest
+++ b/dev-python/pytest-forked/Manifest
@@ -1 +1,2 @@
DIST pytest-forked-1.1.3.tar.gz 7308 BLAKE2B
70711228a5a815de23cbd07b2b628e336a26ccecf420dc9d30d9e9b7ed33bc362b0ba74a8f90fb7cb8dc9e7e0f61d2ac22da55584a84e8ac3a26fcfc2878a802
SHA512
2086884b0e78841b3cdf8eb2b144b8fa60ba95e4be79bc58a2b5775a5f997dddef59377f7c993e54974fbbe13e73fe8688eed4d035e85293e35a143c5f0180f3
+DIST pytest-forked-1.2.0.tar.gz 9533 BLAKE2B
f9762fd34ffa05eb0abe143388c9608563b0b3d8d5f8c6cbb2e5e36271f4625f10e573042e66d5be5f7f9e124cb5171e570e0d59f2bc1100d2d88ee54c9b4e9b
SHA512
d7ed2c36213cfb81988e84e370e0504add77fdb79d31aed4d7aabb73943042f860b4a3ca6c9aad7de5b11234631b1e0f66eb067fcb46079d2cc4ba53ef0cabfb
diff --git a/dev-python/pytest-forked/pytest-forked-1.2.0.ebuild
b/dev-python/pytest-forked/pytest-forked-1.2.0.ebuild
new file mode 100644
index 00000000000..d1217706c9c
--- /dev/null
+++ b/dev-python/pytest-forked/pytest-forked-1.2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python2_7 python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="run tests in isolated forked subprocesses"
+HOMEPAGE="https://pypi.org/project/pytest-forked/
https://github.com/pytest-dev/pytest-forked"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/pytest-3.1.0[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND} )"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv -p no:flaky || die "Tests failed under ${EPYTHON}"
+}